football

## Class Arbitre

- java.lang.Object
- - football.Acteur
  - - football.Arbitre

-     public class Arbitre
      extends Acteur

  Classe arbitre d'une partie
  Author:
    Adrien Poupa

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Arbitre(java.lang.String nom, java.lang.String prenom, int age, int degreExperience)` Constructeur de l'arbitre

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)` Surcharge de equals
    `void` | `expulserUnJoueur(Joueur joueur)` Expulsion d'un joueur
    `java.lang.String` | `getExperience()` Conversion du degré d'expérience int en String
    `double` | `getSalaire()` Salaire de l'arbitre
    `int` | `hashCode()` Surcharge de hashCode
    `void` | `setPartie(Partie partie)` Attribution d'une partie à un arbitre
    `java.lang.String` | `toString()` Affichage de l'arbitre
    `void` | `validerUnBut(Joueur joueur)` Fonction valider un but Que faire ?

    - ### Methods inherited from class football.Acteur

      `getAge, getNom, getPrenom, setAge`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Arbitre

          public Arbitre(java.lang.String nom,
                         java.lang.String prenom,
                         int age,
                         int degreExperience)

      Constructeur de l'arbitre
      Parameters:
        `nom` - nom de l'arbitre
        `prenom` - prénom de l'arbitre
        `age` - âge de l'arbitre
        `degreExperience` - degré d'expérience de l'arbitre

  - ### Method Detail

    - #### getSalaire

          public double getSalaire()

      Salaire de l'arbitre
      Specified by:
        `getSalaire` in class `Acteur`
      Returns:
        Salaire de l'arbitre

    - #### getExperience

          public java.lang.String getExperience()

      Conversion du degré d'expérience int en String
      Returns:
        chaîne de caractères du degré d'expérience

    - #### setPartie

          public void setPartie(Partie partie)

      Attribution d'une partie à un arbitre
      Parameters:
        `partie` - partie à attribuer

    - #### validerUnBut

          public void validerUnBut(Joueur joueur)

      Fonction valider un but Que faire ?
      Parameters:
        `joueur` - Joueur qui a marqué

    - #### expulserUnJoueur

          public void expulserUnJoueur(Joueur joueur)
                                throws JoueurHorsEquipeException

      Expulsion d'un joueur
      Parameters:
        `joueur` - Joueur à supprimer
      Throws:
        `JoueurHorsEquipeException` - si on essaie de supprimer un joueur qui n'est pas dans l'équipe

    - #### toString

          public java.lang.String toString()

      Affichage de l'arbitre
      Overrides:
        `toString` in class `Acteur`
      Returns:
        Arbitre à afficher

    - #### equals

          public boolean equals(java.lang.Object o)

      Surcharge de equals
      Overrides:
        `equals` in class `Acteur`
      Parameters:
        `o` - objet à comparer
      Returns:
        true/false

    - #### hashCode

          public int hashCode()

      Surcharge de hashCode
      Overrides:
        `hashCode` in class `Acteur`
      Returns:
        hash int unique